//
// Simple GLUT Viewer [uses GLM Library]
//
// Reto Ltolf,1999,2001.
// E-mail: luetolf@inf.ethz.ch
// URL:    http://graphics.ethz.ch/
//


#ifndef _viewer_h_
#define _viewer_h_


//includes
#include <stdlib.h>
#include <stdio.h>
#include "glm.h"
#include "trackball.h"
#include "GL/glut.h"

//defines
#define _X_SIZE 512
#define _Y_SIZE 512

#define _SMOOTHING_ANGLE 90.0

#define _MAT_NONE     0
#define _MAT_COLOR    1
#define _MAT_MATERIAL 2

#define _MENU_EMPTY      00
#define _MENU_MAT        10
#define _MENU_NORM       11
#define _MENU_WIRE       12 
#define _MENU_SCALE_DOWN 20
#define _MENU_SCALE_UP   21
#define _MENU_HELP       30
#define _MENU_QUIT       99

//functions
void func_init(void);
void func_create_list(void);
void func_create_menu(void);
void func_action_help(void);
void func_action_material(void);
void func_action_normals(void);
void func_action_wire(void);
void func_action_scaleDown(void);
void func_action_scaleUp(void);
void func_action_quit(void);

//callbacks
void callback_display(void);
void callback_reshape(int w, int h);
void callback_keyboard(unsigned char key, int x, int y);
void callback_mouse(int button, int state, int x, int y);
void callback_motion(int x, int y);
void callback_menu_main(int val);


int main(int argc, char** argv);


#endif
